Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.acknowledgment
Class HL7AcknowledgmentInfo

    java.lang.Object
      com.stc.connector.hl7.framework.acknowledgment.HL7AcknowledgmentInfo

All Implemented Interfaces:
  HL7AcknowledgmentInfoInterface

    public class HL7AcknowledgmentInfo

extends java.lang.Object
implements HL7AcknowledgmentInfoInterface

Version:
  cvs revision: $Revision: 1.7 $ Last Modified: $Date: 2008/04/22 05:44:07 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `LEVEL_APPLICATION`
`static java.lang.String` | `LEVEL_COMMIT`
`static java.lang.String` | `TYPE_ACCEPT`
`static java.lang.String` | `TYPE_ERROR`
`static java.lang.String` | `TYPE_REJECT`
`static java.lang.String` | `version`

Constructor Summary
`HL7AcknowledgmentInfo()` Constructor for HL7AcknowledgmentInfo.
`HL7AcknowledgmentInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for HL7AcknowledgmentInfo.

Method Summary
`java.lang.String` | `getAcknowledgmentLevel()` Returns the acknowledgmentLevel.
`boolean` | `getEGateSendsAppAcks()` Method getEGateSendsAppAcks.
`boolean` | `getForwardExternalAcksToEGate()` Method getForwardExternalAcksToEGate.
`long` | `getTimeoutForDelayedACK()` Method getTimeoutForDelayedACK.
`boolean` | `isApplicationAcknowledgmentLevel()` Method isApplicationAcknowledgmentLevel.
`boolean` | `isCommitAcknowledgmentLevel()` Method isCommitAcknowledgmentLevel.
`boolean` | `isEGateSendsAppAcks()` Method isEGateSendsAppAcks.
`boolean` | `isForwardExternalAcksToEGate()` Method isForwardExternalAcksToEGate.
`void` | `setAcknowledgmentLevel(java.lang.String acknowledgmentLevel)` Sets the acknowledgmentLevel.
`void` | `setApplicationAcknowledgmentLevel()` Method setApplicationAcknowledgmentLevel.
`void` | `setCommitAcknowledgmentLevel()` Method setCommitAcknowledgmentLevel.
`void` | `setEGateSendsAppAcks(boolean b)` Method setEGateSendsAppAcks.
`void` | `setForwardExternalAcksToEGate(boolean b)` Method setForwardExternalAcksToEGate.
`void` | `setTimeoutForDelayedACK(long timeoutForDelayedACK)` Method setTimeoutForDelayedACK.
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### LEVEL_APPLICATION

    public static final java.lang.String LEVEL_APPLICATION

See Also:
  Constant Field Values

### LEVEL_COMMIT

    public static final java.lang.String LEVEL_COMMIT

See Also:
  Constant Field Values

### TYPE_ACCEPT

    public static final java.lang.String TYPE_ACCEPT

See Also:
  Constant Field Values

### TYPE_ERROR

    public static final java.lang.String TYPE_ERROR

See Also:
  Constant Field Values

### TYPE_REJECT

    public static final java.lang.String TYPE_REJECT

See Also:
  Constant Field Values

Constructor Detail

### HL7AcknowledgmentInfo

    public HL7AcknowledgmentInfo()
                          throws HL7ApplicationException

  Constructor for HL7AcknowledgmentInfo.

  Throws:
    `HL7ApplicationException`

### HL7AcknowledgmentInfo

    public HL7AcknowledgmentInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                          throws HL7ApplicationException

  Constructor for HL7AcknowledgmentInfo.

  Parameters:
    `aConfiguration` - The ConfigurationHelper to set
  Throws:
    `HL7ApplicationException`

Method Detail

### getAcknowledgmentLevel

    public java.lang.String getAcknowledgmentLevel()

  Returns the acknowledgmentLevel.

  Specified by:
    `getAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    String

### setAcknowledgmentLevel

    public void setAcknowledgmentLevel(java.lang.String acknowledgmentLevel)
                                throws HL7ApplicationException

  Sets the acknowledgmentLevel.

  Specified by:
    `setAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Parameters:
    `acknowledgmentLevel` - The acknowledgmentLevel to set
  Throws:
    `HL7ApplicationException`

### isCommitAcknowledgmentLevel

    public boolean isCommitAcknowledgmentLevel()
                                        throws HL7ApplicationException

  Method isCommitAcknowledgmentLevel.

  Specified by:
    `isCommitAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isApplicationAcknowledgmentLevel

    public boolean isApplicationAcknowledgmentLevel()
                                             throws HL7ApplicationException

  Method isApplicationAcknowledgmentLevel.

  Specified by:
    `isApplicationAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### setCommitAcknowledgmentLevel

    public void setCommitAcknowledgmentLevel()
                                      throws HL7ApplicationException

  Method setCommitAcknowledgmentLevel.

  Specified by:
    `setCommitAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Throws:
    `HL7ApplicationException`

### setApplicationAcknowledgmentLevel

    public void setApplicationAcknowledgmentLevel()
                                           throws HL7ApplicationException

  Method setApplicationAcknowledgmentLevel.

  Specified by:
    `setApplicationAcknowledgmentLevel` in interface `HL7AcknowledgmentInfoInterface`
  Throws:
    `HL7ApplicationException`

### isEGateSendsAppAcks

    public boolean isEGateSendsAppAcks()

  Method isEGateSendsAppAcks.

  Specified by:
    `isEGateSendsAppAcks` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean

### getEGateSendsAppAcks

    public boolean getEGateSendsAppAcks()

  Method getEGateSendsAppAcks.

  Specified by:
    `getEGateSendsAppAcks` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean

### isForwardExternalAcksToEGate

    public boolean isForwardExternalAcksToEGate()

  Method isForwardExternalAcksToEGate.

  Specified by:
    `isForwardExternalAcksToEGate` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean

### getForwardExternalAcksToEGate

    public boolean getForwardExternalAcksToEGate()

  Method getForwardExternalAcksToEGate.

  Specified by:
    `getForwardExternalAcksToEGate` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    boolean

### setEGateSendsAppAcks

    public void setEGateSendsAppAcks(boolean b)

  Method setEGateSendsAppAcks.

  Specified by:
    `setEGateSendsAppAcks` in interface `HL7AcknowledgmentInfoInterface`
  Parameters:
    `b-boolean` - value true/false

### setForwardExternalAcksToEGate

    public void setForwardExternalAcksToEGate(boolean b)

  Method setForwardExternalAcksToEGate.

  Specified by:
    `setForwardExternalAcksToEGate` in interface `HL7AcknowledgmentInfoInterface`
  Parameters:
    `b` - boolean value to set (true/false)

### getTimeoutForDelayedACK

    public long getTimeoutForDelayedACK()

  Method getTimeoutForDelayedACK.

  Specified by:
    `getTimeoutForDelayedACK` in interface `HL7AcknowledgmentInfoInterface`
  Returns:
    long

### setTimeoutForDelayedACK

    public void setTimeoutForDelayedACK(long timeoutForDelayedACK)
                                 throws HL7ApplicationException

  Method setTimeoutForDelayedACK.

  Specified by:
    `setTimeoutForDelayedACK` in interface `HL7AcknowledgmentInfoInterface`
  Parameters:
    `timeoutForDelayedACK` -
  Throws:
    `HL7ApplicationException`

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD